// import Vue from 'vue'

// Hbuild
// 定位
export function getGeolocation () {
  return new Promise((resolve, reject) => {
    document.addEventListener('plusready', () => {
      console.log('getGeolocation ready ' + window.plus && window.plus.geolocation && window.plus.geolocation.getCurrentPosition)
      if (window.plus && window.plus.geolocation && window.plus.geolocation.getCurrentPosition) {
        try {
          window.plus.geolocation.getCurrentPosition((res) => {
            console.log('res.address------------------', res.address)
            resolve(res.address)
    //      res.address.province === '广东省'? return "广州":return '赣州'
          }, (err) => {
            switch (err.code) {
              case err.PERMISSION_DENIED:
                alert('User denied the request for Geolocation.')
                break
              case err.POSITION_UNAVAILABLE:
                alert('Location information is unavailable.')
                break
              case err.TIMEOUT:
                alert('The request to get user location timed out.')
                break
              case err.UNKNOWN_ERROR:
                alert('An unknown error occurred.')
                break
            }
            resolve('定位失败')
          })
        } catch (error) {
          console.log('catch:', error)
        }
      }
    }, false)
  })
}
