import * as types from '../mutation-types'

const state = {
  product_list: []
}

// getters
const getters = {
  get_product_list: state => state.product_list
}

// actions
const actions = {
  setProductList ({commit, state}, productList) {
    commit(types.SET_PRODUCT_LIST, productList)
  }
}

// mutations
const mutations = {
  [types.SET_PRODUCT_LIST] (state, productList) {
    state.product_list = productList
  }
}

export default {
  state,
  getters,
  actions,
  mutations
}
